Zum Hauptinhalt springen

List DNS zone-file import jobs belonging to a Project

GET/v2/projects/{projectId}/dns-zone-imports/
API version
v2
Request method
GET
Operation ID
dns-list-dns-zone-file-imports

Returns the DNS zone-file import jobs of the Project, newest state per job (status plus the imported/skipped zones). Sorted by creation date, newest first, by default; paginated. Project-scoped and authorized on the Project.

Request​

  • projectIdstring
    required

    ID of the Project to list import jobs for.

Responses​

Response-Header

  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

A list of DNS zone-file import jobs, sorted by creation timestamp (newest first) unless specified otherwise.

  • Array[
    • *object
      • createdAtstring (date-time)
        required

        When the import job was created (publish time of the created event).

      • idstring (uuid)
        required
      • importedZonesarray of string
        required
        • Array[
          • *string
          ]
      • projectIdstring (uuid)
        required
      • skippedZonesarray of object
        required
        • Array[
          • *object
            • namestring
              required
            • reasonstring
              required
          ]
      • statusstring (one of: running, succeeded, completedWithErrors)
        required
    ]

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/dns-zone-imports?limit=50&page=1&sort=createdAt&order=asc